#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x81,0x69,0xE1,0xF6,0x39,0xAC,0xFE,0xA8,0xE5,0xE9,0xE3,0x62,
		0x11,0xD6,0x95,0xAC,0x60,0x3B,0xAA,0x43,0xF5,0x44,0x33,0xDE,
		0x90,0xBE,0xAD,0xCF,0x7A,0xAC,0xFC,0xDC,0xE9,0x86,0x6B,0x20,
		0xE2,0xB1,0x43,0x6D,0x09,0x42,0xDD,0x27,0xDB,0x2A,0x8B,0xD8,
		0xD9,0x9B,0xBC,0xB1,0xB4,0x24,0xA3,0x67,0xB8,0x40,0x0E,0xDC,
		0x5A,0x36,0xA3,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
